### Method

# Gck Session generate_key_pair_finish

#### Declaration [src]

    gboolean
    gck_session_generate_key_pair_finish (
      GckSession* self,
      GAsyncResult* result,
      GckObject** public_key,
      GckObject** private_key,
      GError** error
    )

#### Description [src]

Get the result of a generate key pair operation.

#### Parameters

`result` | `GAsyncResult`
| The async result passed to the callback.
| The data is owned by the caller of the function.
`public_key` | `GckObject`
| A location to return the resulting public key.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`private_key` | `GckObject`
| A location to return the resulting private key.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the operation succeeded.